%global pypi_name python-digitalocean
%global pkgname digitalocean

%bcond_without python3
%global py3_prefix python%{python3_pkgversion}


Name:           python-%{pkgname}
Version:        1.17.0
Release:    1%{?dist}
Summary:        Easy access to Digital Ocean APIs to deploy droplets, images and more

License:        LGPLv3
URL:            https://pypi.python.org/pypi/python-digitalocean
Source0:        https://github.com/koalalorenzo/%{pypi_name}/archive/v%{version}.tar.gz#/%{pypi_name}-%{version}.tar.gz

BuildArch:      noarch


BuildRequires:  %{py3_prefix}-devel
BuildRequires:  %{py3_prefix}-jsonpickle
BuildRequires:  %{py3_prefix}-pytest
BuildRequires:  %{py3_prefix}-requests
BuildRequires:  %{py3_prefix}-responses
BuildRequires:  %{py3_prefix}-setuptools

%description
Easy access to Digital Ocean APIs to deploy droplets, images and
more.


%package -n %{py3_prefix}-%{pkgname}
Requires:       %{py3_prefix}-jsonpickle
Requires:       %{py3_prefix}-requests

Summary:        %{summary}

%description -n %{py3_prefix}-%{pkgname}
Easy access to Digital Ocean APIs to deploy droplets, images and
more.

This is the Python 3 version of the package.

%prep
%autosetup -p1

%build
%py3_build

%check
%{__python3} setup.py test

%install
%py3_install


%files -n %{py3_prefix}-%{pkgname}
%license LICENSE.txt
%doc README.md
%{python3_sitelib}/digitalocean
%{python3_sitelib}/python_digitalocean-%{version}*.egg-info

%changelog
* Fri Jun 28 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.17.0-1
- initial build
